//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "RASplus_WatSearLib_OCX"
#pragma link "WebGuard_LoginLib_OCX"
#pragma resource "*.dfm"

#define MODE "Watch"

TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{

        // 프로그램 시작시 해줘야함..
        RASplus_WatSear1->initialize();


}
//---------------------------------------------------------------------------

void __fastcall TForm1::Button1Click(TObject *Sender)
{

        RASplus_WatSear1->setLayout(1);
        RASplus_WatSear1->setupOSD(true,true,true,true,true,true);

}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button2Click(TObject *Sender)
{

        try
        {

                CAMCount = 4;
                AnsiString  mode   = "Watch";
                AnsiString  DVRDNS = "www.dvrnames.net";


                for(int i=0; i <= CAMCount-1; i++)
                {
                        ShowMessage(i);
                        // 아래 함수 실행시 프로그램 종료 !! 이부분을 한번 봐주세요!!
                        RASplus_WatSear1->setCameraMap(

                                                                i,                                              // camNum         패널상의 위치
                                                                0,                                              // postKey         ??
                                                                WideString("dbpolice01").c_bstr(),              // SzSitename      //test  (hostid)
                                                                WideString("dbpolice01").c_bstr(),              // SzAddr          //192.168.0.174
                                                                i,                                              // nHostCam
                                                                WideString("admin").c_bstr(),                   // id                아이디
                                                                WideString("").c_bstr(),                        // pw                패스워드
                                                                (mode == MODE) ? 8016 : 10019,                  // 용도별 port
                                                                (mode == MODE) ? 1 : 0,                         // 모드              써치, 워치
                                                                false,                                          // 모뎀 사용여부
                                                                true,                                           // dns 사용여부     도메인 사용여부  //false
                                                                WideString(DVRDNS).c_bstr(),                    // dns addr        도메인주소
                                                                10088,                                          // dvrdns Port     도메인 포트
                                                                8116                                            // audio port      오디오 포트
                                                        );
                }


        }catch(...)
        {
                ShowMessage("error");
        }

}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormClose(TObject *Sender, TCloseAction &Action)
{
        //프로그램 종료시 해줘야 함.
        RASplus_WatSear1->finalize();
}
//---------------------------------------------------------------------------

void __fastcall TForm1::RASplus_WatSear1ConnectedSearch(TObject *Sender,
      short hostId)
{ // connect Search

        ShowMessage("Search");
}
//---------------------------------------------------------------------------

void __fastcall TForm1::RASplus_WatSear1ConnectedWatch(TObject *Sender,
      short hostId)
{ // connect Watch
        ShowMessage("Watch");
}
//---------------------------------------------------------------------------

